<?php
    /**
     * Detect plugin. For use on Front End only.
     */
    include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    $activePlugin = is_plugin_active('uu-alert-banner/uu-alert-banner.php');
    if($activePlugin){
        $pluginDir = ABSPATH . 'wp-content/plugins/';
        $filePath = $pluginDir . 'uu-alert-banner/public/storedData/alert.json';
        if(file_exists($filePath)){
            $fileContents = json_decode( file_get_contents($filePath));
            $securityLevel = $fileContents->alertSeverityLevel;
            switch ($securityLevel) {
                case 'emergency':
                    $alertColor = 'red';
                    $textColor = '#ffffff';
                    break;
                case 'safety-warning':
                    $alertColor = 'orange';
                    $textColor = '#000000';
                    break;
                case 'general-safety-information':
                    $alertColor = 'yellow';
                    $textColor = '#000000';
                    break;
                default:
                    $alertColor = '';
                    break;
            }
?>

            <!-- UU ALERT BANNER PLUGIN -->
            <div class="uu-alert-bar" id="alert_bar" style="background-color: <?php echo $alertColor;?>;">
                <a href=" <?php echo $fileContents->alertLink; ?>">
                    <p style="color: <?php echo $textColor;?>;">
                        <?php echo $fileContents->alertText; ?>
                        <i class="fal fa-long-arrow-right"></i>
                    </p>
                </a>
            </div>
<?php
        }
    }
?>
